<template>
  <section>
    <div class="content">
      <div class="py-5">
        <NuxtLink
          to="/admin/images"
          class="text-sky-400 text-lg font-semibold cursor-pointer uppercase transition hover:text-pink-400"
        >
          all images
        </NuxtLink>
      </div>
      <div class="flex flex-col max-w-[500px] gap-y-10">
        <TextInput v-model="name" />
        <ImageInput ref="input" @pick-img="selectFile" />
        <button
          class="px-2 py-1 flex justify-center items-center rounded-sm transition bg-green-600 hover:bg-green-500 font-semibold text-white"
          @click="sendForm"
        >
          <span> Send </span>
        </button>
      </div>
    </div>
  </section>
</template>

<script setup lang="ts">
import Joi from "joi";

const input = ref(null);
const name = ref("");
const file = ref();
const selectFile = (inputFile: any) => {
  file.value = inputFile;
};
const sendForm = async () => {
  try {
    const form = new FormData();
    await Joi.string().required().trim().min(3).label('name').validateAsync(name.value);
    await Joi.string()
      .required()
      .valid("image/png", "image/jpeg")
      .label('image')
      .validateAsync(file.value?.type);
    form.append("name", name.value);
    form.append("photo", file.value);
    const res = await $fetch("/api/image/create", {
      method: "post",
      body: form,
    });
    console.log("res", res);
  } catch (error: any) {
    alert(error.message);
    console.error(error.message);
  }
};
</script>

<style scoped></style>
